xf86cfg(1)

NAME
xf86cfg - Graphical configuration tool for XFree86 4.0

SYNOPSIS
xf86cfg [-xf86config XF86Config] [-modulepath moduledir] [-fontpath fontsdir] [-toolkitoption ...]

DESCRIPTION
Xf86cfg is a tool to configure XFree86 4.0, and can be used to either write the initial configuration file or make customizations to the current configuration.

When the DISPLAY environment variable is not set, xf86cfg will run the command XFree86 -configure to allow the xserver detect the hardware in the computer, and write an initial XF86Config file in the user's home directory. Then, it will start XFree86 and allow customizations.
If the DISPLAY environment variable is set, xf86cfg will read the default XF86Config, that may not be the same being used by the current server, and allow customizations.

To use an alternative location for modules or fonts the respective search paths may be specified.

Unless there is an Apply button in the current xf86cfg dialog, the changes made will take place the next time XFree86 is started.

Xf86cfg allows addition and configuration of new devices, such as video cards, monitors, keyboards and mouses.

Screen layout configuration for xinerama or traditional multi-head is also available.

Modelines can be configured or optimized.

AccessX basic configurations can be made in the xf86cfg's accessx section.

OPTIONS

-xf86config
    Specifies an alternate XF86Config file for configuration.

-modulepath
    Specifies where xf86cfg, and the server it may start, should look for XFree86 modules.

-serverpath
    Specifies the complete path, not including the binary name, of the XFree86 binary.

-fontpath
    Specifies the path to the fonts that should be used by the server started by xf86cfg.

-rgbpath
    Specifies the path to the rgb.txt file that should be used by the server started by xf86cfg, if any.

-textmode
    If xf86cfg was compiled with support to ncurses, this option makes xf86cfg enters a text mode interface.

-nomodules
    When built with support for loading modules, this options changes xf86cfg behaviour, so that it will not load any modules, and thus start quicker.

ENVIRONMENT

DISPLAY
    Default host and display number

XWINHOME
    Directory where XFree86 was installed, defaults to /usr/X11R6.

XENVIRONMENT
    Name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property

FILES

/etc/XF86Config
    Server configuration file

/etc/X11/XF86Config
    Server configuration file

/usr/X11R6/etc/XF86Config
    Server configuration file

/usr/X11R6/lib/X11/XF86Config.hostname
    Server configuration file

/usr/X11R6/lib/X11/XF86Config
    Server configuration file

/usr/X11R6/lib/X11/app-default/XF86Cfg
    Specifies xf86cfg resources

/usr/X11R6/lib/X11/xkb/X0-config.keyboard
    Keyboard specific configuration

SEE ALSO
XFree86(1) XF86Config(5)

COPYRIGHT

Copyright 2000, Conectiva Linux S.A.
    http://www.conectiva.com

Copyright 2000, The XFree86 Project
    http://www.XFree86.org

AUTHORS

Paulo César Pereira de Andrade <pcpa@conectiva.com.br>
    The XFree86 Project

BUGS
Probably.